Bug 16822 - koha-common init.d script should run koha-plack without quiet
Summary: koha-common init.d script should run koha-plack without quiet
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-28 00:45 UTC by Liz Rea
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16822: Make koha-common call koha-plack without --quiet (1.44 KB, patch)
2016-07-26 13:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16822: Make koha-common call koha-plack without --quiet (1.50 KB, patch)
2016-09-09 03:49 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 16822: Make koha-common call koha-plack without --quiet (1.60 KB, patch)
2016-09-09 06:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2016-06-28 00:45:07 UTC
We should alert during installation, restart, or upgrade for all daemon services stopping and starting.

For example, stopping and starting the SIP server alerts during the apt install process. 

We expect (and sometimes depend on) things like Apache and MySQL(MariaDB) telling us when they are restarting during upgrades, I think we should treat our daemons the same way.

All this really means is making the init.d run koha-plack without --quiet.
Comment 1 Tomás Cohen Arazi 2016-07-26 13:30:12 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2016-09-09 03:49:57 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-09-09 06:33:09 UTC
Created attachment 55395 [details] [review]
Bug 16822: Make koha-common call koha-plack without --quiet

This patch removes the --quiet option switch in koha-common.init so
problem information is not hidden for sysadmin users.

To test:

- Have plack enabled for a koha instance:
  $ sudo koha-plack --enable kohadev
  $ sudo koha-plack --start  kohadev
- Run:
  $ cd kohaclone
  $ debian/koha-common.init {start|stop|restart}
=> SUCCESS: No behaviour change
- Disable the 'cgi' apache module:
  $ sudo a2dismod cgi
- Run:
  $ debian/koha-common.init {start|stop|restart}
=> FAIL: No warning is shown
- Apply the patch
- Run:
  $ debian/koha-common.init {start|stop|restart}
=> SUCCESS: Warnings show up
- Sign off :-D

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Perfect thanks :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-09-09 10:26:53 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Frédéric Demians 2016-09-13 06:45:39 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 08:39:50 UTC
Pushed to 3.22.x, will be in 3.22.11